<?php
/*
Plugin Name: FajaedeSEO AI
Description: The GEO & AI Visibility Platform for WordPress. The first plugin built to optimize your content for Google AI Overviews, ChatGPT, and Gemini.
Version: 2.4.8
Author: fajaede
Author URI: https://www.fajaede.nl
License: GPL2
Text Domain: fajaedeseo-ai
*/

defined('ABSPATH') or exit;

// Define plugin constants
define('FAJAEDESEO_VERSION', '2.4.8');
define('FAJAEDESEO_DIR', plugin_dir_path(__FILE__));
define('FAJAEDESEO_URL', plugin_dir_url(__FILE__));
define('FAJAEDESEO_OG_IMAGE_FALLBACK', FAJAEDESEO_URL . 'assets/images/fallback-og-image.jpg');

// Define Admin Secret (Match the one used in the API)
if ( ! defined( 'FAJAEDESEO_ADMIN_API_SECRET' ) ) {
	define( 'FAJAEDESEO_ADMIN_API_SECRET', 'SUPER_SECRET_ADMIN_KEY_CHANGE_THIS' );
}

// Laad de Composer autoloader (vereist voor de Mollie SDK en andere externe bibliotheken)
if ( file_exists( FAJAEDESEO_DIR . 'vendor/autoload.php' ) ) {
    require_once FAJAEDESEO_DIR . 'vendor/autoload.php';
}

// Laad de motor van de plugin
require_once FAJAEDESEO_DIR . 'includes/class-fajaedeseo.php';

// Start de plugin
\FajaedeSEO::get_instance();

// Gebruik de activatie-methode van de klasse voor een volledige setup
register_activation_hook( __FILE__, [ \FajaedeSEO::get_instance(), 'activate' ] );
    
